------------------------------------------------------------------------------------
--Name:  	xiaolong3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(218, 260)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(217, 268)
Player_1:SetDir(5)
local player_Name_1 = Player_1:GetName()
local Player_2 = CppScriptMgr:AddSimplePlayer(17590, 226, 264, "", 0, 0)
Player_2:SetZoomPercent(110)
Player_2:SetDir(1)
Player_2:SetAction(102)
local effect_1 = CppScriptMgr:AddEffect("map_lxljx1", 226, 260, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local heroSex = Player_1:GetSex();
if heroSex == 1 then
	CppScriptMgr:NpcCallOut("Lord Dragon, I will pass some beast power to you!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLNan", 150, 430, player_Name_1, 250, 655,true)
else
	CppScriptMgr:NpcCallOut("Lord Dragon, I will pass some beast power to you!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLXLN", 150, 430, player_Name_1, 250, 655,true)
end
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(1490)
local effect_0 = CppScriptMgr:AddEffect("SuperSoldier", 226, 260, 33, 1, 1, 1)
local Effect_1 = CppScriptMgr:AddEffect("SuperSoldier", 211, 262, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
Effect_1:Scale(2, 2, 2)
local Effect_2 = CppScriptMgr:AddEffect("TSM_JZ_ZFR_JH", 215, 266, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1440)
local Effect_5 = CppScriptMgr:AddEffect("WarFlagEscortBegin", 226, 260, 33, 1, 1, 1)
Effect_5:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(940)
local Player_3 = CppScriptMgr:AddSimplePlayer(44681, 215, 262, "", 0, 0)
local effect_3 = CppScriptMgr:AddEffect("map_lxljx1", 213, 262, 33, 1, 1, 1)
Player_3:SetZoomPercent(110)
Player_3:SetDir(6)
CppScriptMgr:WaitMilSec(290)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(330)
CppScriptMgr:NpcCallOut("Stop! It was transformed by Devourer!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "DragonImage", 250, 655,true)
Player_3:Say("Stop! It was transformed by Devourer!", 2000)
CppScriptMgr:WaitMilSec(1630)
CppScriptMgr:NpcCallOut("It is too late!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSHS", 150, 430, "Devourer", 250, 655,true)
Player_2:Say("It is too late!", 1000)
CppScriptMgr:WaitMilSec(170)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 222, 260, 33, 1, 1, 1)
Effect_3:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(890)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056030, 224, 262, "", 0, 0)
Player_4:SetZoomPercent(50)
Player_4:SetDir(1)
CppScriptMgr:ClearEffect(effect_1)
CppScriptMgr:ClearEffect(effect_0)
CppScriptMgr:ClearEffect(Effect_1)
Player_2:SetHide(1)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(250)
ChangeNpcZoom(Player_4, 50, 120, 3, 33)
CppScriptMgr:WaitMilSec(630)
Player_4:SetAction(401)
local Effect_4 = CppScriptMgr:AddEffect("GreenChufa", 222, 260, 33, 1, 1, 1)
Effect_4:Scale(5, 5, 5)
Player_4:Say("I am invincible now!", 1000)
CppScriptMgr:WaitMilSec(290)
CppScriptMgr:NpcCallOut("I am invincible now!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSHS", 150, 430, "Devourer", 250, 655,true)
CppScriptMgr:WaitMilSec(110)
Player_1:SetAction(160)
CppScriptMgr:WaitMilSec(3310)